org.appng.xml.platform

## Class Result

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Result

- All Implemented Interfaces:
    Serializable

      public class Result
      extends BaseObject
      implements Serializable

  For each `FieldDef` defined in the `MetaData` (where the `Condition` and `Permissions` are satisfied), the result contains a corresponding `Datafield`. `Linkpanel`s are also included.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Datafield>` | `fields`
    `protected List<Linkpanel>` | `linkpanel`
    `protected Boolean` | `selected`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Result()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Datafield>` | `getFields()` Gets the value of the fields property.
    `List<Linkpanel>` | `getLinkpanel()` Gets the value of the linkpanel property.
    `Boolean` | `isSelected()` Marks the result as selected
    `void` | `setSelected(Boolean value)` Sets the value of the selected property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fields

          protected List<Datafield> fields

    - #### linkpanel

          protected List<Linkpanel> linkpanel

    - #### selected

          protected Boolean selected

  - ### Constructor Detail

    - #### Result

          public Result()

  - ### Method Detail

    - #### getFields

          public List<Datafield> getFields()

      Gets the value of the fields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fields property.

      For example, to add a new item, do as follows:

              getFields().add(newItem);

      Objects of the following type(s) are allowed in the list `Datafield`

    - #### getLinkpanel

          public List<Linkpanel> getLinkpanel()

      Gets the value of the linkpanel property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the linkpanel property.

      For example, to add a new item, do as follows:

              getLinkpanel().add(newItem);

      Objects of the following type(s) are allowed in the list `Linkpanel`

    - #### isSelected

          public Boolean isSelected()

      Marks the result as selected
      Returns:
        possible object is `Boolean`

    - #### setSelected

          public void setSelected(Boolean value)

      Sets the value of the selected property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.